aix openssl 다운로드

–마이클 펠트 (토크) 17:35, 15 May 2017 (UTC) 릴리스 노트에 대한 https://www.openssh.com/releasenotes.html#7.5p1 참조하십시오. 참고 : openssl.base-1.0.2가 필요합니다! IBM은 최근 openssl.base LPP 버전: 버전 1.0.2.1500(1.0.2o)의 버전을 업데이트/수정했습니다. 이 LPP는 오픈 소스 이름의 공유 개체 파일 libssl.so.1.0.2 및 libcrypto.so.1.0.2 (32 및 64비트)를 제공하며, 이는 BullFreeware RPM과 호환됩니다. 이 LPP는 IBM 페이지 “AIX 웹 다운로드 팩 프로그램”에서 사용할 수 있습니다. 선택: “버전 1.0.2.x”를 열고 설치합니다(“smitty 설치”). 이렇게 하면 LIPATH가 Libssl.a 또는 libcrypto.a가 관련된 AIX 및 /opt/프리웨어에 존재하는 라이브러리의 인터레이스 요구 사항을 해결할 수 없는 경우를 수정할 수 있습니다. IBM 공식 LPP openssl.base는 OpenSSL 프로젝트에서 /usr/lib/libssl.a 및 /usr/lib/libcrypto.a 라이브러리를 제공합니다. 그러나 지금까지 현재 버전 1.0.2는 여전히 libssl.so.1.0.0 및 libcrypto.so.1.0.0 파일에서 제공되었는데, 이는 오픈 소스 세계와 호환되지 않는 이름, 그리고 BullFreeware가 제공합니다: lib*.so.1.0.2 . 최근부터, 그들은 더 호환하기로 결정했습니다. 이제 파일 /usr/lib/lib*a에 포함된 두 파일 lib*.so.1.0.0 및 lib*.so.0.2에서 OpenSSL 1.0.2의 최신 버전을 제공합니다. 이 방법으로, libssl.a 또는 libcrypto.a를 필요로 하는 BullFreeware에서 제공하는 실행 /라이브러리는 이제 IBM 공식 libcrypto 및 libssl 파일과 호환됩니다. OpenSSL의이 IBM 새로운 버전에서 얻을 수 있습니다 (필요/생성 “IBM ID”): https://www-01.ibm.com/marketing/iwm/iwm/web/reg/pick.do?source=aixbp&lang=en_US 걸릴: OpenSSL 1.0.2 AIX 5.3에 대 한, 6.1, 7.1 및 7.2 버전 >= 1.0.2.1500 (1.0.2o) 열리다-1.0.2.1500.tar.Z (34745160) 그들은 지금 제공 : . -Michael Felt (토크) 12:33, 2017년 10월 20일 (CEST) 새로운 패키징 – 화장품 – `내용물`은 변경되지 않지만 설치 스크립트는 소음이 적습니다 – 환경 변수 VERBOSE가 모든 문자열에 정의될 때 “자세한” 메시지가 인쇄됩니다.

gettext 패키지의 버전 0.19.8BullFreeware에 업로드되었습니다. 이 버전은 gettext 프로젝트에 의해 0.19.8.1로 빠르게 대체되었습니다. 그러나 버전 0.19.8은 libintl.so (libintl.so.9) 및 버전 0.19.8.1에 의해 포기 된 다른 .so 파일의 새로운 버전을 도입했습니다. 그러나, 우리는 이미 구축하고 여러 패키지 (gnupg2, krb5, libgpg, posgresql, 파이썬, 파이썬3, glib2, gnutls, 간계) 지금 libintl.so.9에 의존, 잘못된. gettext 0.19.8.1을 곧 0.19.8 및 libintl.so.9의 지원없이 업로드 할 계획이며 위의 목록에서 패키지를 다시 빌드하고 있습니다. 메시지가 발생하면 : “libintl.a (libintl.so.9)에 의해 필요합니다 …” 또는 “libintl.a (libintl.so.8)에 의해 필요합니다 …”, 당신은 혼란에 도달했습니다. 해결책은 /opt/freeware/libintl.a libintl.a libintl.a libintl.so.8 및 libintl.so.9및 (종속성이 파일을 보는 것이 아니라 데이터베이스의 데이터를 기반으로 RPM에 의해 수행되기 때문에) –nodeps (마지막 오류 메시지가 libintl.a(libintl.8)에 필요한 경우에만 사용해야 합니다. 예: 2. 상황과 관련된 로그 또는 데이터를 캡처합니다.

. 이 사이트에는 AIX 5L, AIX 6 및 AIX 7용으로 빌드된 오픈 소스 및 GNU(R) 소프트웨어 패키지 모음이 포함되어 있습니다. 이러한 패키지 중 일부는(예: GCC 및 GCC 관련) AIX 버전당 하나의 패키지를 가지고 있지만 대부분의 경우 AIX 릴리스(5.3 또는 6.1)용으로 빌드된 패키지도 상위 릴리스에서 실행됩니다. 우리는 지금 AIX에 주로 구축 6.1, 더 이상 AIX에 5.3 . AIX N용 패키지는 하위 버전에서는 실행되지 않습니다(예: AIX 7.1용 패키지는 AIX 6.1 또는 5.3에서 실행되지 않음). AIX용 오픈 소스 패키지는 AIX 시스템에서 Linux 응용 프로그램을 컴파일및 패키징하고, GNU 환경을 사용하여 AIX용 새 응용 프로그램을 개발하고, Linux 배포판에서 제공하는 인기 있는 소프트웨어를 실행하는 데 도움이 됩니다.